

#ifndef _Oz_App_Session_ICE_
#define _Oz_App_Session_ICE_

#include <DomainManager/DomainServerManager.ice>
#include <FileManager/FileServerManager.ice>
#include <MetaManager/MetaServerManager.ice>
#include <Base/Session.ice>

module Oz
{
	module AppManager
	{
		interface SessionAdmin
		{
			Oz::Domains::DomainServerManager* getDomainManager();
			void setDomainManager(Oz::Domains::DomainServerManager* domainManager);
			
			Oz::Files::FileServerManager* getFileManager();
			void setFileManager(Oz::Files::FileServerManager* fileManager);
			
			Oz::MetaService::MetaServerManager* getMetaManager();
			void setMetaManager(Oz::MetaService::MetaServerManager* metaManager);
		};
		
		class Session2
			extends Oz::Base::Session
			implements SessionAdmin
		{
			Oz::Domains::DomainServerManager* domainServerManager;
			Oz::Files::FileServerManager* fileServerManager;
			Oz::MetaService::MetaServerManager* metaServerManager;
		};
		
		dictionary<string,Session2*>SessionIdMap;
	};
};
#endif

