
#ifndef _Oz_Base_Session_ICE_
#define _Oz_Base_Session_ICE_

#ifndef INCLUDE_ICE_IDENTITY
#define INCLUDE_ICE_IDENTITY
	#include <Ice/Identity.ice>
#endif
#ifndef INCLUDE_GLACIER2_SESSION
#define INCLUDE_GLACIER2_SESSION
	#include <Glacier2/Session.ice>
#endif

#ifndef INCLUDE_OZ_DOMAINS_USER
#define INCLUDE_OZ_DOMAINS_USER
	#include <Domains/User.ice>
#endif

#include <Base/SessionManagerAdmin.ice>

module Oz
{
	module Base
	{
		class Session;
		interface SessionAdmin extends Glacier2::Session
		{
			nonmutating Ice::Identity getId();
			
			void setUser(Oz::Domains::User* user);
			Oz::Domains::User* getUser();
		};

		class Session implements SessionAdmin
		{
			SessionManagerAdmin* sessionManagerPx;
			Ice::Identity id;
			Oz::Domains::User* user;
		};
	};
};
#endif

