
#ifndef _Oz_Domains_GroupManager_ICE_
#define _Oz_Domains_GroupManager_ICE_

#include <Base/Manager.ice>
#include <Domains/Group.ice>
module Oz
{
	module Domains
	{
		struct GroupInfo
		{
			Ice::Identity id;
			string name;
		};
		
		interface GroupManagerAdmin
		{
			GroupInfo getGroupInfo();
		};
		
		class GroupManager 
			extends Oz::Base::Manager
			implements GroupManagerAdmin
		{
			Group* groupPx;
		};
	};
};
#endif