
#ifndef _Oz_Files_FileManager_ICE_
#define _Oz_Files_FileManager_ICE_

#ifndef INCLUDE_OZ_BASE_MANAGER
#define INCLUDE_OZ_BASE_MANAGER
	#include <Base/Manager.ice>
#endif

module Oz
{
	module Files
	{	
		interface FileManagerAdmin
		{
			nonmutating long 
			countChunks();
			
			nonmutating int 
			getChunkSize();
			
			nonmutating long 
			getSize();
		};
		
		interface FileManagerReader 
		{	
			nonmutating Oz::Base::Bytes 
			readChunk(
				long id);
		};
		
		interface FileManagerWriter 
		{
			idempotent void erase();
			idempotent void write(Oz::Base::Bytes bytes);
		};
		
		class FileManager 
			extends Oz::Base::Manager
			implements FileManagerWriter,FileManagerReader,FileManagerAdmin
		{
			File* filePx;
		};
		
		dictionary<Ice::Identity,FileManager*>FileManagerMap;
	};
};
#endif