
#ifndef _Oz_Files_FileSystemManager_ICE_
#define _Oz_Files_FileSystemManager_ICE_

#include <Files/FileSystem.ice>

#include <Base/Manager.ice>

#include <FileManager/FileManager.ice>
#include <FileManager/NodeManager.ice>

module Oz
{
	module Files
	{
		interface FileSystemManagerAdmin
		{
			NodeInfo getNode(string path);
			
			NodeInfo createNode(string type,string name,string path);
			
			FileManagerWriter*
			getFileWriter(string filePath);
			
			FileManagerReader* 
			getFileReader(string filePath);
			
		};
		
		class FileSystemManager
			extends Oz::Base::Manager
			implements FileSystemManagerAdmin
		{
			FileSystem* filesys;
			FileManagerMap fileSystemManagers;
		};
		
		dictionary<string,FileSystemManager*>FileSystemManagerMap;
	};
};
#endif

