
#ifndef _Oz_Files_NodeManager_ICE_
#define _Oz_Files_NodeManager_ICE_

#ifndef INCLUDE_OZ_BASE_MANAGER
#define INCLUDE_OZ_BASE_MANAGER
	#include <Base/Manager.ice>
#endif

#include <Files/Node.ice>

module Oz
{
	module Files
	{
		struct NodeInfo
		{
			Ice::Identity id;
			string name;
			string path;
		};
		
		interface NodeManagerAdmin
		{
			string getName();
			string getPath();
		};
		

		
		class NodeManager 
			extends Oz::Base::Manager
			implements NodeManagerAdmin
		{
			Node* nodePx;
		};
		
		dictionary<Ice::Identity,NodeManager*>NodeManagerMap;
	};
};
#endif