
#ifndef _Oz_Web_ResponseContent_ICE_
#define _Oz_Web_ResponseContent_ICE_

#include <Base/Chunk.ice>

module Oz
{
	module Web
	{
		interface ResponseContentManager;
		interface ResponseContentAdmin
		{
			int countChunks();
			Oz::Base::Bytes getChunk(int chunk);
			string getContentType();
			void destroy();
		};
		
		class ResponseContent implements ResponseContentAdmin
		{
			ResponseContentManager* responseContentManagerPx;
			Ice::Identity id;
		};
	};
};

#endif