
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Base_Acl_ICE_
#define _Oz_Base_Acl_ICE_


#include <Ice/Identity.ice>
#include <Base/AclAdmin.ice>


module Oz
{
	module Base
	{
		/**
		 * Esta clase relaciona un objeto con su propietario y
		 * una lista de control de accessos. Que es un mapa de metodos
		 * e identificadores de entidades (usuarios,grupos) 
		 * que pueden invocarlos.
		 */

		class Acl implements AclAdmin
		{
			Ice::Identity id;
			Ice::Identity objectId;
			Ice::Identity owmner;
			AccesMap acces;
		};
		dictionary <Ice::Identity,Acl*> AclMap;
	};
};
#endif

