
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Base_AclServer_ICE_
#define _Oz_Base_AclServer_ICE_

#ifndef INCLUDE_OZ_BASE_ACL
#define INCLUDE_OZ_BASE_ACL
	#include <Base/Acl.ice>
#endif

#ifndef INCLUDE_OZ_BASE_ACLADMIN
#define INCLUDE_OZ_BASE_ACLADMIN
	#include <Base/AclAdmin.ice>
#endif

module Oz
{
	module Base
	{
		/**
		 * Interfaz que define los metodos para gestionar
		 * el servicio ACL
		 */

		interface AclServerAdmin
		{
					
				idempotent Acl* 
				createAcl(
					Ice::Identity objectId);
				
				idempotent void removeAcl(
					Ice::Identity objectId);
		};
	};
};
#endif

