
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Domains_DomainServer_ICE_
#define _Oz_Domains_DomainServer_ICE_

//Oz includes

#ifndef INCLUDE_OZ_BASE_ONREZSER
#define INCLUDE_OZ_BASE_ONREZSER
	#include <Base/OnRezServer.ice>
#endif

#ifndef INCLUDE_OZ_DOMAINS_DOMAIN
#define INCLUDE_OZ_DOMAINS_DOMAIN
	#include <Domains/Domain.ice>
#endif

module Oz
{
	module Domains
	{
		interface DomainServerAdmin
		{
			idempotent Domain* 
			createDomain(
				string name);
			
			nonmutating Domain* 
			getDomain(
				string name);
			
			idempotent bool 
			delDomain(
				string name);

		};
		
		class DomainServer
		extends Oz::Base::OnRezServer
		implements DomainServerAdmin
		{
		};
	};
};
#endif

