
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Files_FileServer_ICE_
#define _Oz_Files_FileServer_ICE_

#include <Base/OnRezServer.ice>
#include <Files/FileSystem.ice>

module Oz
{
	module Files
	{	
		interface FileServerAdmin
		{
			idempotent FileSystem* 
			createFileSystem(
				string fileSystem);
				
			nonmutating FileSystem*
			getFileSystem(string name);

			idempotent void
			deleteFileSystem(
				string fileSystem);
		};
		
		
		class FileServer 
			extends 
				Oz::Base::OnRezServer
			implements 
				FileServerAdmin
		{
		};
	};
};
#endif

