
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Files_Link_ICE_
#define _Oz_Files_Link_ICE_

#include <Ice/Identity.ice>
#include <Files/Node.ice>	
#include <Files/File.ice>

module Oz
{
	module Files
	{
		
		interface LinkAdmin
		{
			idempotent void setTarget(Node* target);
			nonmutating Node* getTarget();
		};

		class Link 
			extends 
				Node
			implements LinkAdmin
		{
			Node* target;
		};
	};
};
#endif

