
#ifndef _Oz_MetaService_MetaObjectType_ICE_
#define _Oz_MetaService_MetaObjectType_ICE_

#ifndef INCLUDE_OZ_BASE_ONREZ
#define INCLUDE_OZ_BASE_ONREZ
	#include <Base/OnRez.ice>
#endif
#ifndef INCLUDE_OZ_METASERVICE_METAATTRIBUTETYPE
#define INCLUDE_OZ_METASERVICE_METAATTRIBUTETYPE
	#include <MetaService/MetaAttributeType.ice>
#endif

module Oz
{
	module MetaService
	{
		interface MetaObjectTypeAdmin
		{
			nonmutating string getMetaType();
			nonmutating MetaAttributeType getAttribute(string name);
		};
		
		class MetaObjectType
			extends Oz::Base::OnRez
			implements MetaObjectTypeAdmin
		{
			string metaType;
			MetaAttributeTypeMap attributes;
		};
		
		dictionary<string,MetaObjectType*>MetaObjectTypeNameMap;
	};
};

#endif