
#ifndef _Oz_Searchs_SearchServer_ICE_
#define _Oz_Searchs_SearchServer_ICE_

#include <Searchs/Indexer.ice>
#include <Searchs/Searcher.ice>

module Oz
{
	module Searchs
	{
		interface SearchServerAdmin
		{
			nonmutating Ice::Identity getId();
			nonmutating string getName();
			nonmutating string getIndexDir();
			void createDB();
		};

		class SearchServer
			implements 
				SearchServerAdmin,
				SearcherAdmin,
				IndexerAdmin
		{
			Ice::Identity id;
			string name;
			string indexDir;
			Searcher* searcherPx;
			Indexer* indexerPx;
		};
	};
};
#endif

