
include (../../../../Make.rules)

IDIR = App

HEADERS=../../include/$$IDIR/Session.h \
	../../include/$$IDIR/SessionI.h \
	../../include/$$IDIR/SessionManagerI.h \
	../../include/$$IDIR/SessionServiceI.h

SOURCES=../../src/$$IDIR/Session.cpp \
	../../src/$$IDIR/SessionI.cpp \
	../../src/$$IDIR/SessionManagerI.cpp \
	../../src/$$IDIR/SessionServiceI.cpp
	
TEMPLATE = lib
CONFIG = qt warn_on $$MODE dll thread

OBJECTS_DIR = .obj
unix:DESTDIR = $$BUILDROOT/lib
win32:DESTDIR = $$BUILDROOT/lib
TARGET = OnRezFacade

LANGUAGE = c++

unix:INCLUDEPATH += $$ICEPATH/include ../../../c++/include ../../../../Services/c++/include
unix:LIBS += -L$$ICEPATH/$$LIBPREFIX \
	-L$$BUILDROOT/lib \
	-L$$DBPATH/$$LIBPREFIX \
	-lIce \
	-lIceUtil \
	-lFreeze \
	-ldb_cxx \
	-lIceXML \
	-lpthread \
	-ldl \
	-lbz2 \
	-luuid \
	-lm \
	-lqt \
	-lIceStorm \
	-lSearchs \
	-lOnRez \
	-lDomains \
	-lFiles \
	-lMetaService \
	-lOnRezManager \
	-lFileManager \
	-lDomainManager \
	-lMetaManager
