
#ifndef _Oz_Base_SearchManager_ICE_
#define _Oz_Base_SearchManager_ICE_

#ifndef INCLUDE_OZ_SEARCHS_QUERY
#define INCLUDE_OZ_SEARCHS_QUERY
	#include <Searchs/Query.ice>
#endif

#ifndef INCLUDE_OZ_SEARCHS_RESULTSET
#define INCLUDE_OZ_SEARCHS_RESULTSET
	#include <Searchs/ResultSet.ice>
#endif

#ifndef INCLUDE_OZ_BASE_ONREZSERVER
#define INCLUDE_OZ_BASE_ONREZSERVER
	#include <Base/OnRezServer.ice>
#endif

#ifndef INCLUDE_OZ_BASE_MANAGER
#define INCLUDE_OZ_BASE_MANAGER
	#include <Base/Manager.ice>
#endif

module Oz
{
	module Searchs
	{
		interface SearcherManager
		{
			ResultSet search(Query q);
		};
		
		interface IndexerManager
		{
			void indexObject(Ice::Identity objectId);
		};
		
		class SearchManager
			extends Oz::Base::Manager
			implements IndexerManager,SearcherManager
		{
			Oz::Base::OnRezServer* server;
		};
	};
};
#endif

