
#ifndef _Oz_Domains_DomainServerManager_ICE_
#define _Oz_Domains_DomainServerManager_ICE_

#include <Base/ServerManager.ice>
#include <DomainManager/DomainManager.ice>

module Oz
{
	module Domains
	{
		interface DomainServerManagerAdmin
		{
			DomainManager* createDomain(string name);
			DomainManager* getDomain(string name);
		};
		
		class DomainServerManager
			extends Oz::Base::ServerManager
			implements DomainServerManagerAdmin
		{
		};
	};
};
#endif