
#ifndef _Oz_Files_FileServerManager_ICE_
#define _Oz_Files_FileServerManager_ICE_


#include <Base/ServerManager.ice>

#include <Files/FileServer.ice>

#include <FileManager/FileSystemManager.ice>


module Oz
{
	module Files
	{
		interface FileServerManagerAdmin
		{
			FileSystemManager* createFilesystem(string name);
			FileSystemManager* getFileSystemManager(string name);
			void deleteFilesystem(string name);
		};
		
		class FileServerManager 
			extends Oz::Base::ServerManager
			implements FileServerManagerAdmin
		{
			FileServer* fileService;
			FileSystemManagerMap fileSystemManagers;
		};
		
		dictionary<Ice::Identity,FileServerManager>FileServerManagerMap;
	};
};
#endif


