
#ifndef _Oz_Web_Cookie_ICE_
#define _Oz_Web_Cookie_ICE_

module Oz
{
	module Web
	{
		/**
		 * Este componente emcapsula el objeto Cookie del protocolo HTTP
		 */
		interface CookieAdmin
		{
			void setName(string name);
			string getName();

			void setValue(string value);
			string getValue();

			bool isSecure();
			int getTimeOut();
			string getPath();
		};

		class Cookie 
			implements CookieAdmin
		{
			string name;
			string path;
			string value;
			int timeOut;
			bool secure;
		};
		
		dictionary<string,Cookie>CookieMap;
	};
};
#endif


