// **********************************************************************
//
// Copyright (c) 2003-2005 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

// Ice version 3.0.1
// Generated from file `Acl.ice'

#include <Base/Acl.h>
#include <Ice/LocalException.h>
#include <Ice/ObjectFactory.h>
#include <Ice/BasicStream.h>
#include <Ice/Object.h>

#ifndef ICE_IGNORE_VERSION
#   if ICE_INT_VERSION / 100 != 300
#       error Ice version mismatch!
#   endif
#   if ICE_INT_VERSION % 100 < 1
#       error Ice patch level mismatch!
#   endif
#endif

void
IceInternal::incRef(::Oz::Base::Acl* p)
{
    p->__incRef();
}

void
IceInternal::decRef(::Oz::Base::Acl* p)
{
    p->__decRef();
}

void
IceInternal::incRef(::IceProxy::Oz::Base::Acl* p)
{
    p->__incRef();
}

void
IceInternal::decRef(::IceProxy::Oz::Base::Acl* p)
{
    p->__decRef();
}

void
Oz::Base::__write(::IceInternal::BasicStream* __os, const ::Oz::Base::AclPrx& v)
{
    __os->write(::Ice::ObjectPrx(v));
}

void
Oz::Base::__read(::IceInternal::BasicStream* __is, ::Oz::Base::AclPrx& v)
{
    ::Ice::ObjectPrx proxy;
    __is->read(proxy);
    if(!proxy)
    {
	v = 0;
    }
    else
    {
	v = new ::IceProxy::Oz::Base::Acl;
	v->__copyFrom(proxy);
    }
}

void
Oz::Base::__write(::IceInternal::BasicStream* __os, const ::Oz::Base::AclPtr& v)
{
    __os->write(::Ice::ObjectPtr(v));
}

void
Oz::Base::__write(::IceInternal::BasicStream* __os, const ::Oz::Base::AclMap& v, ::Oz::Base::__U__AclMap)
{
    __os->writeSize(::Ice::Int(v.size()));
    ::Oz::Base::AclMap::const_iterator p;
    for(p = v.begin(); p != v.end(); ++p)
    {
	p->first.__write(__os);
	::Oz::Base::__write(__os, p->second);
    }
}

void
Oz::Base::__read(::IceInternal::BasicStream* __is, ::Oz::Base::AclMap& v, ::Oz::Base::__U__AclMap)
{
    ::Ice::Int sz;
    __is->readSize(sz);
    while(sz--)
    {
	::std::pair<const  ::Ice::Identity, ::Oz::Base::AclPrx> pair;
	const_cast< ::Ice::Identity&>(pair.first).__read(__is);
	::Oz::Base::AclMap::iterator __i = v.insert(v.end(), pair);
	::Oz::Base::__read(__is, __i->second);
    }
}

const ::std::string&
IceProxy::Oz::Base::Acl::ice_staticId()
{
    return ::Oz::Base::Acl::ice_staticId();
}

::IceInternal::Handle< ::IceDelegateM::Ice::Object>
IceProxy::Oz::Base::Acl::__createDelegateM()
{
    return ::IceInternal::Handle< ::IceDelegateM::Ice::Object>(new ::IceDelegateM::Oz::Base::Acl);
}

::IceInternal::Handle< ::IceDelegateD::Ice::Object>
IceProxy::Oz::Base::Acl::__createDelegateD()
{
    return ::IceInternal::Handle< ::IceDelegateD::Ice::Object>(new ::IceDelegateD::Oz::Base::Acl);
}

bool
IceProxy::Oz::Base::operator==(const ::IceProxy::Oz::Base::Acl& l, const ::IceProxy::Oz::Base::Acl& r)
{
    return static_cast<const ::IceProxy::Ice::Object&>(l) == static_cast<const ::IceProxy::Ice::Object&>(r);
}

bool
IceProxy::Oz::Base::operator!=(const ::IceProxy::Oz::Base::Acl& l, const ::IceProxy::Oz::Base::Acl& r)
{
    return static_cast<const ::IceProxy::Ice::Object&>(l) != static_cast<const ::IceProxy::Ice::Object&>(r);
}

bool
IceProxy::Oz::Base::operator<(const ::IceProxy::Oz::Base::Acl& l, const ::IceProxy::Oz::Base::Acl& r)
{
    return static_cast<const ::IceProxy::Ice::Object&>(l) < static_cast<const ::IceProxy::Ice::Object&>(r);
}

Oz::Base::Acl::Acl(const ::Ice::Identity& __ice_id, const ::Ice::Identity& __ice_objectId, const ::Ice::Identity& __ice_owmner, const ::Oz::Base::AccesMap& __ice_acces) :
    id(__ice_id),
    objectId(__ice_objectId),
    owmner(__ice_owmner),
    acces(__ice_acces)
{
}

::Ice::ObjectPtr
Oz::Base::Acl::ice_clone() const
{
    throw ::Ice::CloneNotImplementedException(__FILE__, __LINE__);
}

static const ::std::string __Oz__Base__Acl_ids[3] =
{
    "::Ice::Object",
    "::Oz::Base::Acl",
    "::Oz::Base::AclAdmin"
};

bool
Oz::Base::Acl::ice_isA(const ::std::string& _s, const ::Ice::Current&) const
{
    return ::std::binary_search(__Oz__Base__Acl_ids, __Oz__Base__Acl_ids + 3, _s);
}

::std::vector< ::std::string>
Oz::Base::Acl::ice_ids(const ::Ice::Current&) const
{
    return ::std::vector< ::std::string>(&__Oz__Base__Acl_ids[0], &__Oz__Base__Acl_ids[3]);
}

const ::std::string&
Oz::Base::Acl::ice_id(const ::Ice::Current&) const
{
    return __Oz__Base__Acl_ids[1];
}

const ::std::string&
Oz::Base::Acl::ice_staticId()
{
    return __Oz__Base__Acl_ids[1];
}

static ::std::string __Oz__Base__Acl_all[] =
{
    "addEntity",
    "addRoll",
    "auth",
    "chown",
    "delEntity",
    "delRoll",
    "getEntities",
    "getOwmner",
    "getRolls",
    "ice_id",
    "ice_ids",
    "ice_isA",
    "ice_ping"
};

::IceInternal::DispatchStatus
Oz::Base::Acl::__dispatch(::IceInternal::Incoming& in, const ::Ice::Current& current)
{
    ::std::pair< ::std::string*, ::std::string*> r = ::std::equal_range(__Oz__Base__Acl_all, __Oz__Base__Acl_all + 13, current.operation);
    if(r.first == r.second)
    {
	return ::IceInternal::DispatchOperationNotExist;
    }

    switch(r.first - __Oz__Base__Acl_all)
    {
	case 0:
	{
	    return ___addEntity(in, current);
	}
	case 1:
	{
	    return ___addRoll(in, current);
	}
	case 2:
	{
	    return ___auth(in, current);
	}
	case 3:
	{
	    return ___chown(in, current);
	}
	case 4:
	{
	    return ___delEntity(in, current);
	}
	case 5:
	{
	    return ___delRoll(in, current);
	}
	case 6:
	{
	    return ___getEntities(in, current);
	}
	case 7:
	{
	    return ___getOwmner(in, current);
	}
	case 8:
	{
	    return ___getRolls(in, current);
	}
	case 9:
	{
	    return ___ice_id(in, current);
	}
	case 10:
	{
	    return ___ice_ids(in, current);
	}
	case 11:
	{
	    return ___ice_isA(in, current);
	}
	case 12:
	{
	    return ___ice_ping(in, current);
	}
    }

    assert(false);
    return ::IceInternal::DispatchOperationNotExist;
}

void
Oz::Base::Acl::__write(::IceInternal::BasicStream* __os) const
{
    __os->writeTypeId(ice_staticId());
    __os->startWriteSlice();
    id.__write(__os);
    objectId.__write(__os);
    owmner.__write(__os);
    ::Oz::Base::__write(__os, acces, ::Oz::Base::__U__AccesMap());
    __os->endWriteSlice();
#if defined(_MSC_VER) && (_MSC_VER < 1300) // VC++ 6 compiler bug
    Object::__write(__os);
#else
    ::Ice::Object::__write(__os);
#endif
}

void
Oz::Base::Acl::__read(::IceInternal::BasicStream* __is, bool __rid)
{
    if(__rid)
    {
	::std::string myId;
	__is->readTypeId(myId);
    }
    __is->startReadSlice();
    id.__read(__is);
    objectId.__read(__is);
    owmner.__read(__is);
    ::Oz::Base::__read(__is, acces, ::Oz::Base::__U__AccesMap());
    __is->endReadSlice();
#if defined(_MSC_VER) && (_MSC_VER < 1300) // VC++ 6 compiler bug
    Object::__read(__is, true);
#else
    ::Ice::Object::__read(__is, true);
#endif
}

void
Oz::Base::Acl::__write(const ::Ice::OutputStreamPtr&) const
{
    Ice::MarshalException ex(__FILE__, __LINE__);
    ex.reason = "type Oz::Base::Acl was not generated with stream support";
    throw ex;
}

void
Oz::Base::Acl::__read(const ::Ice::InputStreamPtr&, bool)
{
    Ice::MarshalException ex(__FILE__, __LINE__);
    ex.reason = "type Oz::Base::Acl was not generated with stream support";
    throw ex;
}

void ONREZ_API 
Oz::Base::__patch__AclPtr(void* __addr, ::Ice::ObjectPtr& v)
{
    ::Oz::Base::AclPtr* p = static_cast< ::Oz::Base::AclPtr*>(__addr);
    assert(p);
    *p = ::Oz::Base::AclPtr::dynamicCast(v);
    if(v && !*p)
    {
	::Ice::NoObjectFactoryException e(__FILE__, __LINE__);
	e.type = ::Oz::Base::Acl::ice_staticId();
	throw e;
    }
}

bool
Oz::Base::operator==(const ::Oz::Base::Acl& l, const ::Oz::Base::Acl& r)
{
    return static_cast<const ::Ice::Object&>(l) == static_cast<const ::Ice::Object&>(r);
}

bool
Oz::Base::operator!=(const ::Oz::Base::Acl& l, const ::Oz::Base::Acl& r)
{
    return static_cast<const ::Ice::Object&>(l) != static_cast<const ::Ice::Object&>(r);
}

bool
Oz::Base::operator<(const ::Oz::Base::Acl& l, const ::Oz::Base::Acl& r)
{
    return static_cast<const ::Ice::Object&>(l) < static_cast<const ::Ice::Object&>(r);
}
