
/***************************************************************************/
/*Copyright (C)  On-Rez                                                   **/
/*www.on-rez.com                                                          **/
/*                                                                        **/
/*This code is licensed to you under the terms of GPL license             **/
/*a copy ot it is available with the sources in the file LICENSE.         **/
/*you can view online at http://www.gnu.org/licenses/gpl.txt              **/
/***************************************************************************/

#ifndef _Oz_Base_OnRezAdmin_ICE_
#define _Oz_Base_OnRezAdmin_ICE_

#ifndef INCLUDE_OZ_BASE_ACL
#define INCLUDE_OZ_BASE_ACL
	#include <Base/Acl.ice>
#endif

module Oz
{
	module Base
	{
		interface OnRezAdmin
		{
			nonmutating OnRez* 
			getMyPx();
			
			idempotent void 
			setMyPx(
				OnRez* myPx);
			
			nonmutating Ice::Identity 
			getId();
			
			idempotent void
			setId(
				Ice::Identity id);
			
			idempotent void 
			setService(
				OnRezServer* service);
			
			nonmutating OnRezServer* 
			getService();
			
			idempotent void 
			setAcl(
				Acl* aclPx);
		};
	};
};
#endif

