
#ifndef _Oz_Base_SysTypes_ICE_
#define _Oz_Base_SysTypes_ICE_

#ifndef INCLUDE_ICE_IDENTITY
#define INCLUDE_ICE_IDENTITY
	#include <Ice/Identity.ice>
#endif

module Oz
{
	module Base
	{
		class OnRez;
		class OnRezServer;
		dictionary<string,Ice::Identity> StringIdMap;
		dictionary<Ice::Identity,OnRez*> IdProxyMap;
		dictionary<string,OnRez*> StringProxyMap;
		
		["java:type:java.util.ArrayList"]sequence<Ice::Identity> Identities;
		["java:type:java.util.TreeMap"]dictionary<string,Identities> AccesMap;
		["java:type:java.util.ArrayList"]sequence<string> Strings;
		["java:type:java.util.TreeMap"]dictionary<string,string> StringMap;
	};
};
#endif