

#ifndef _Oz_MetaService_MetaServer_ICE_
#define _Oz_MetaService_MetaServer_ICE_

#ifndef INCLUDE_OZ_METASERVICE_METAOBJECT
#define INCLUDE_OZ_METASERVICE_METAOBJECT
	#include <MetaService/MetaObject.ice>
#endif

#ifndef INCLUDE_OZ_BASE_ONREZSERVER
#define INCLUDE_OZ_BASE_ONREZSERVER
	#include <Base/OnRezServer.ice>
#endif

#ifndef INCLUDE_OZ_BASE_SYSTYPES
#define INCLUDE_OZ_BASE_SYSTYPES
	#include <Base/SysTypes.ice>
#endif

module Oz
{
	module MetaService
	{
		interface MetaServerAdmin
		{
			idempotent MetaObject* 
			createMetaObject(
				string type,
				Oz::Base::StringMap attributes);
				
			idempotent MetaObjectType* 
			createMetaObjectType(
				string name,
				MetaAttributeTypeMap attributes);
				
			nonmutating MetaObjectTypeNameMap
			listMetaTypes();
		};
		
		class MetaServer
			extends Oz::Base::OnRezServer
			implements MetaServerAdmin
		{
			
		};
	};
};

#endif

