
#ifndef _Oz_Searchs_Indexer_ICE_
#define _Oz_Searchs_Indexer_ICE_

#include <Ice/Identity.ice>
#include <Searchs/ObjectMetadata.ice>

module Oz
{
	module Searchs
	{
		interface IndexerAdmin
		{
			idempotent void indexObject(ObjectMetadata metadata);
			idempotent void removeObject(Ice::Identity id);
		};

		class Indexer extends IndexerAdmin
		{
			string indexDir;
		};
		
		dictionary<string,Indexer>IndexerMap;
	};
};

#endif