
#ifndef _Oz_Searchs_ObjectMetadata_ICE_
#define _Oz_Searchs_ObjectMetadata_ICE_

#include <Ice/Identity.ice>

module Oz
{
	module Searchs
	{
		["java:type:java.util.TreeMap"]dictionary<string,string> StringMap;
		class ObjectMetadata
		{
			string objectId;
			string content;
			/*
			 *List of groups ids as string separated by white space
			 * alow search acording user access
			 */
			string groups;
			StringMap indexedKeys;
			StringMap storedKeys;
		};
		["java:type:java.util.ArrayList"]
		sequence<ObjectMetadata>ObjectMetadataSeq;
	};
};
#endif